crmApp.service('TaxPayerService', function () {
    var _tp = { 
        Name: '',
        TaxNo: '',
        IDType: '',
        IDNo: '',
        FileType: '',
        NoCukaiCode: '',
        StatusFail: '',
        StatusFailPendua:'',
        AllowEdit: false,
        GelaranName: '',
        HonorificName: '',
        SearchTPProfile: true
    };

    var _popupid = '';
    var _AllowEdit = false;
    var _cwgn = {
        PungutanCP: '',
        PenaksiranCP: '',
        PungutanCKHT: '',
        PenaksiranCKHT: '',
        GuamanSivil: ''
    };

    
    this.TP = {
        get Name() {
            return _tp.Name;
        },
        set Name(value) {
            _tp.Name = value;
        },
        get IDNo() {
            return _tp.IDNo;
        },
        set IDNo(value) {
            _tp.IDNo = value;
        },
        get TaxNo() {
            return _tp.TaxNo;
        },
        set TaxNo(value) {
            _tp.TaxNo = value;
        },
        get TPType() {
            return _tp.TPType;
        },
        set TPType(value) {
            _tp.TPType = value;
        },
        get FileType() {
            return _tp.FileType;
        },
        set FileType(value) {
            _tp.FileType = value;
        },
        get NoCukaiCode() {
            return _tp.NoCukaiCode;
        },
        set NoCukaiCode(value) {
            _tp.NoCukaiCode = value;
        },
        get StatusFail() {
            return _tp.StatusFail;
        },
        set StatusFail(value) {
            _tp.StatusFail = value;
        },
        get AllowEdit() {
            return _AllowEdit;
        },
        set AllowEdit(value) {
            _AllowEdit = value;
        },
        get StatusFailPendua()
        {
            return _tp.StatusFailPendua;
        },
        set StatusFailPendua(value)
        {
            _tp.StatusFailPendua = value;
        },
        get GelaranName()
        {
            return _tp.GelaranName;
        },
        set GelaranName(value)
        {
            _tp.GelaranName = value;
        },
        get HonorificName()
        {
            return _tp.HonorificName;
        },
        set HonorificName(value)
        {
            _tp.HonorificName = value;
        }

    };

    this.CWNG = {
        get PungutanCP() {
            return _cwgn.PungutanCP;
        },
        set PungutanCP(value) {
            _cwgn.PungutanCP = value;
        },
        get PenaksiranCP() {
            return _cwgn.PenaksiranCP;
        },
        set PenaksiranCP(value) {
            _cwgn.PenaksiranCP = value;
        },
        get PungutanCKHT() {
            return _cwgn.PungutanCKHT;
        },
        set PungutanCKHT(value) {
            _cwgn.PungutanCKHT = value;
        },
        get PenaksiranCKHT() {
            return _cwgn.PenaksiranCKHT;
        },
        set PenaksiranCKHT(value) {
            _cwgn.PenaksiranCKHT = value;
        },
        get GuamanSivil() {
            return _cwgn.GuamanSivil;
        },
        set GuamanSivil(value) {
            _cwgn.GuamanSivil = value;
        }
    }; 

    this.PopupID =
        {
            get PopupID() {
                return _popupid;
            },
            set PopupID(value) {
                _popupid = value;
            }
        };
});